From: <a href="/blend/av.cgi?id=2">scqueen</a><BR>
Date: 6 November 2007<P>

Haven't been here in forever - love the new format Kirk!
<HR>
From: <a href="/blend/av.cgi?id=20">distant moon</a><BR>
Date: 6 November 2007<P>

~Harem~, about <a href="/blend/wv.cgi?id=2007.11.03.12.14.18290">WHO is This DISTANT Moon ?</a> and  <a href="/blend/wv.cgi?id=2007.11.01.21.10.1509">~Harem~</a>: <BR>
<BR>
First off, "and the only word left<BR>
that will rhyme - is called Rabies"<BR>
<BR>
I nearly woke the baby, laughing.<BR>
<BR>
Well, I can see that our group here of poetic wanderers all have similar characteristics in our narcissism (me included)...Actually, my harem poem wasn't about you, it was personifying my "too many women in my life" problem.  <BR>
<BR>
And no, I'm not a girl, I think your one poem asked if I was...<BR>
<BR>
But I thoroughly enjoyed your Harem self titled piece; self exploration writing can tell you a lot about yourself.
<HR>